

class OutOfScreenBehaviorClosedBox implements OutOfScreenBehavior {
	public var flyer : FlyingObject;

	public function new(f : FlyingObject) {
		flyer = f;
	}

	public function hook() {
		if (flyer.centerX < flyer.bdWidth / 2)
			flyer.centerX = flyer.bdWidth / 2;
		if (flyer.centerX > flyer.stage.stageWidth - flyer.bdWidth / 2)
			flyer.centerX = flyer.stage.stageWidth - flyer.bdWidth / 2;
		if (flyer.centerY < flyer.bdHeight / 2)
			flyer.centerY = flyer.bdHeight / 2;
		if (flyer.centerY > flyer.stage.stageHeight - flyer.bdHeight)
			flyer.centerY = flyer.stage.stageHeight - flyer.bdHeight;
	}
}
