
class Scenario {
	public static var level : Array<Array<ScenarioFeedEntry>> = [
		/* BEGIN COMMENT 
		   END COMMENT */
		[
			new ScenarioFeedEntry(3, "yellow", 100, -4),
			new ScenarioFeedEntry(10, "yellow", 80, -3, "line4"),
			new ScenarioFeedEntry(20, "yellow", 80, -4, "column4"),
			new ScenarioFeedEntry(30, "yellow", 80, -4, "line4"),
			new ScenarioFeedEntry(35, "yellow", 80, -4, "line4"),
			new ScenarioFeedEntry(45, "yellow", 100, -1, "lineFull", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(3, "asteroid", 80, -20, "rand2"),
			new ScenarioFeedEntry(10, "yellow", 80, -4, "line4"),
			new ScenarioFeedEntry(20, "asteroid", 80, -10, "rand2"),
			new ScenarioFeedEntry(25, "yellow", 80, -4, "line4"),
			new ScenarioFeedEntry(30, "asteroid", 80, -20, "rand2"),
			new ScenarioFeedEntry(35, "asteroid", 80, -10),
			new ScenarioFeedEntry(40, "yellow", 80, -4, "column4"),
			new ScenarioFeedEntry(55, "asteroid", 80, -20, "rand2"),
			new ScenarioFeedEntry(65, "yellow", 100, -4, "rand2", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(0, "green", 100, -4, "column4"),
			new ScenarioFeedEntry(15, "green", 80, -3, "line4"),
			new ScenarioFeedEntry(25, "green", 80, -6, "line4"),
			new ScenarioFeedEntry(25, "green", 80, -6, "rand2"),
			new ScenarioFeedEntry(35, "green", 60, -4, "column4", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(0, "redmine", 80, -5),
			new ScenarioFeedEntry(5, "star", 80, -1),
			new ScenarioFeedEntry(8, "star", 80, -1),
			new ScenarioFeedEntry(10, "redmine", 80, -10),
			new ScenarioFeedEntry(15, "star", 80, -1),
			new ScenarioFeedEntry(25, "redmine", 80, -10),
			new ScenarioFeedEntry(30, "star", 80, -3, "", "Level.COMPLETED"),
		],
		[
			new ScenarioFeedEntry(0, "red", 100, -4, "column4"),
			new ScenarioFeedEntry(10, "red", 80, -4, "rand2"),
			new ScenarioFeedEntry(20, "red", 80, -4, "line4"),
			new ScenarioFeedEntry(25, "star", 80, -2),
			new ScenarioFeedEntry(35, "red", 80, -8, "rand2"),
			new ScenarioFeedEntry(40, "star", 80, -2),
			new ScenarioFeedEntry(50, "red", 80, -4, "column4", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(3, "yellow", 100, -1, "lineFull"),
			new ScenarioFeedEntry(10, "magneticmine", 80, -1),
			new ScenarioFeedEntry(15, "magneticmine", 80, -1, "rand2"),
			new ScenarioFeedEntry(25, "magneticmine", 60, -4, "rand2"),
			new ScenarioFeedEntry(40, "yellow", 100, -4, "lineFull", "Level.COMPLETED"),
		],
		[
			new ScenarioFeedEntry(0, "asteroid", 80, -10, "rand2"),
			new ScenarioFeedEntry(0, "magneticmine", 80, -4),
			new ScenarioFeedEntry(5, "green", 80, -2, "rand2"),
			new ScenarioFeedEntry(10, "asteroid", 80, -10),
			new ScenarioFeedEntry(15, "green", 80, -4, "rand2"),
			new ScenarioFeedEntry(25, "magneticmine", 80, -4, "", "Level.COMPLETED"),
		],
		[
			new ScenarioFeedEntry(0, "redmine", 80, -10),
			new ScenarioFeedEntry(5, "red", 80, -4, "line4"),
			new ScenarioFeedEntry(10, "red", 100, -4, "line4"),
			new ScenarioFeedEntry(10, "redmine", 100, -10, "rand2"),
			new ScenarioFeedEntry(20, "star", 100, -2, "rand2"),
			new ScenarioFeedEntry(25, "red", 80, -4, "line4"),
			new ScenarioFeedEntry(35, "star", 80, -4, "", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(3, "asteroid", 80, -20, "rand2"),
			new ScenarioFeedEntry(10, "yellow", 80, -4, "column4"),
			new ScenarioFeedEntry(20, "green", 50, -4, "column4"),
			new ScenarioFeedEntry(20, "redmine", 100, -10, "rand2"),
			new ScenarioFeedEntry(30, "red", 50, -4, "line4"),
			new ScenarioFeedEntry(45, "star", 80, -4, "", "Level.COMPLETED")
		],
		[
			new ScenarioFeedEntry(0, "shuriken", 80, -2),
			new ScenarioFeedEntry(5, "shuriken", 80, -4),
			new ScenarioFeedEntry(10, "green", 50, -4, "line4"),
			new ScenarioFeedEntry(15, "shuriken", 80, -10),
			new ScenarioFeedEntry(25, "green", 100, -4, "", "Level.COMPLETED")
		],
		[	
			new ScenarioFeedEntry(0, "bluebomb", 80, -2),
			new ScenarioFeedEntry(10, "bluebomb", 80, -4),
			new ScenarioFeedEntry(15, "bluebomb", 80, -4),
			new ScenarioFeedEntry(15, "asteroid", 80, -10, "rand2"),
			new ScenarioFeedEntry(25, "bluebomb", 80, -2, "", "Level.COMPLETED"),
		],
		[	
			new ScenarioFeedEntry(0, "red", 10, -4, "column4"),
			new ScenarioFeedEntry(0, "magneticmine", 20, 2),
			new ScenarioFeedEntry(10, "green", 100, -8, "column4"),
			new ScenarioFeedEntry(25, "star", 10, -4),
			new ScenarioFeedEntry(40, "smallboss", 100, -1, "", "Level.COMPLETED")
		]
	];

	function new() {}
}
