import flash.display.Sprite;
import flash.display.MovieClip;
import flash.events.TimerEvent;
import flash.utils.Timer;


class SpaceContainer extends MovieClip {
	var origX : Float;
	var origY : Float;
	var shaking : Bool;
	static var shakingStrengh : Int = 10;
	var shakeTimer : Timer;

	public function shakeOn(?strengh : Int) {
		if (!shaking) {
			shaking = true;
			origX = x;
			origY = y;

			if (strengh != null) 
				shakingStrengh = strengh;

			shakeTimer = new Timer(250); 
			shakeTimer.addEventListener(TimerEvent.TIMER, shakeOff);
			shakeTimer.start();
		}
	}

	public function shakeOff(e : TimerEvent) {
		shakeTimer.stop();

		shaking = false;
		x = origX;
		y = origY;
	}

	public function move() {
		if (shaking) {
			var dist : Float = shakingStrengh - Std.random(shakingStrengh * 2);
			//x += dist;
			y += dist;
		}
	}
}
