import flash.display.Sprite;


class Star extends Sprite {
	var speed : Float;

	public function new(randW : Int, randH : Int) {
		super();

		x = Std.random(randW);
		y = Std.random(randH);
		speed = Math.random() + 1;
		var diameter : Float = (Std.random(3) + speed) / 3; 
		alpha = speed * 0.5;

		this.graphics.beginFill(0xFFFFFF);
		this.graphics.drawCircle(0, 0, diameter);
		this.graphics.endFill();
	}

	public function move() {
		y += speed;
		if (y > stage.stageHeight) {
			y = 0;
			x = Std.random(stage.stageWidth);
		}
	}
}

