

class WeaponBomb extends Weapon {
	override function setExtraVars() {
		name = "bomb";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
		var target : FlyingObject;

		if (ship.target.length == 0 || ship.target[0] == null)
			return ret;

		for (target in ship.target) {
			if (Math.abs(target.centerX - ship.centerX) < target.bdWidth/2 && target.centerY > ship.centerY) {
                		var p : Projectile = ProjectileFactory.createProjectile(projectileType, ship.centerX, ship.centerY + ship.bdHeight/2, 0, projectileSpeed);
				ret.push(p);
				return ret;
			}
		}

		return ret;
		
        }
}

