

class WeaponGuide extends Weapon {
	override function setExtraVars() {
		name = "guide";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
		var n : Int;
		var dx : Float;
		var dy : Float;
		var radian : Float;

		if (ship.target.length == 0 || ship.target[0] == null)
			return ret;

		if (ship.target.length > 1)
			n = Std.random(ship.target.length);
		else
			n = 0;

		dx = ship.target[n].centerX - ship.centerX;
		dy = ship.target[n].centerY - ship.centerY;
		radian = -Math.atan2(dx, dy);

                var p : Projectile = ProjectileFactory.createProjectile(projectileType, ship.centerX, ship.centerY, radian, projectileSpeed);

                ret.push(p);
		return ret;
        }
}

