

class WeaponMine extends Weapon {
	override function setExtraVars() {
		name = "mine";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
                var lx : Float = ship.centerX + ship.bdHeight * Math.sin(-ship.rotationRad);
                var ly : Float = ship.centerY + ship.bdHeight * Math.cos(ship.rotationRad);

		var mine : FlyingObject = ProjectileFactory.createProjectile(
			projectileType,
			lx, 
			ly,
			ship.rotationRad,
			projectileSpeed);

		mine.target = ship.target;

		ret.push(mine);
		return ret;
	}
}

