

class WeaponSides extends Weapon {
	override function setExtraVars() {
		name = "sides";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
                var lx : Float = ship.x + ship.bdHeight * 0.25 * Math.sin(-ship.rotationRad);
                var ly : Float = ship.y + ship.bdHeight * 0.25* Math.cos(ship.rotationRad);
                var p : Projectile = ProjectileFactory.createProjectile(projectileType, lx, ly, ship.rotationRad + Math.PI/2, projectileSpeed);
                ret.push(p);

                lx = lx + ship.bdWidth * Math.cos(ship.rotationRad);
                ly = ly + ship.bdWidth * Math.sin(ship.rotationRad);
                var p : Projectile = ProjectileFactory.createProjectile(projectileType, lx, ly, ship.rotationRad - Math.PI/2, projectileSpeed);	
                ret.push(p);

		return ret;
        }
}

