

class WeaponVDouble extends Weapon {
	override function setExtraVars() {
		name = "vdouble";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
                var dx : Float = ship.bdHeight / 2 * Math.sin(-ship.rotationRad);
                var dy : Float = ship.bdHeight / 2 * Math.cos(ship.rotationRad);

                var p : Projectile = ProjectileFactory.createProjectile(projectileType, ship.centerX + dx, ship.centerY + dy, ship.rotationRad + 0.4, projectileSpeed);
                ret.push(p);

                var p : Projectile = ProjectileFactory.createProjectile(projectileType, ship.centerX + dx, ship.centerY + dy, ship.rotationRad - 0.4, projectileSpeed);
                ret.push(p);

		return ret;
        }
}

