

class OutOfScreenBehaviorRemove implements OutOfScreenBehavior {
	public var flyer : FlyingObject;

	public function new(f : FlyingObject) {
		flyer = f;
	}

	public function hook() {
		if ( (flyer.centerX < -flyer.bdWidth) ||
		     (flyer.centerX > flyer.stage.stageWidth + flyer.bdWidth) ||
		     (flyer.centerY < -flyer.bdHeight) ||
		     (flyer.centerY > flyer.stage.stageHeight + flyer.bdHeight) )
			flyer.removeSelf();
	}
}
