

class OutOfScreenBehaviorSpherical implements OutOfScreenBehavior {
	public var flyer : FlyingObject;

	public function new(f : FlyingObject) {
		flyer = f;
	}

	public function hook() {
		if (flyer.centerX < -flyer.bdWidth)
			flyer.centerX = flyer.stage.stageWidth;
		if (flyer.centerX > flyer.stage.stageWidth + flyer.bdWidth)
			flyer.centerX = 0;
		if (flyer.centerY < -flyer.bdHeight)
			flyer.centerY = flyer.stage.stageHeight;
		if (flyer.centerY > flyer.stage.stageHeight + flyer.bdHeight)
			flyer.centerY = 0;
	}
}
