import flash.display.Sprite;
import flash.text.TextField;
import flash.text.TextFormat;
import flash.text.TextFieldAutoSize;
import flash.filters.DropShadowFilter;


class InfoField extends Sprite {
	var format : TextFormat;
	var text : TextField;
	var color : UInt;

	public function new(x : Float, y : Float, width : Float, height : Float) {
		super();

                graphics.beginFill(0xFFFFFF, 0.3);
		graphics.drawRect(x, y, width, height);
		graphics.endFill();

		color = 0xFFFFFF;

		format = new TextFormat();
                format.size = 16;
                format.font = "Sans serif";
                format.color = color;
                format.bold = true;

		text = new TextField();
		text.x = x;
		text.y = y;
		text.defaultTextFormat = format;
                text.autoSize = TextFieldAutoSize.LEFT;
		text.text = "";

		addChild(text);
	}


	public function update(info : String) {
		text.text = info;
	}
}
