import flash.display.Sprite;


class ProjectileSpin extends Projectile {
	var newRadian : Float;
	var dist : Float;


	override function setExtraVars() {
		newRadian = radian;
		name = "spin";
	}


	override function setHitArea() {
		hitArea = new Sprite();

		//hitArea.graphics.beginFill(0xFF00FF, 0.5);
		hitArea.graphics.moveTo(5, 5);
		hitArea.graphics.lineTo(15, 5);
		hitArea.graphics.lineTo(15, 15);
		hitArea.graphics.lineTo(5, 15);
		hitArea.graphics.lineTo(5, 5);
		//hitArea.graphics.endFill();

		this.addChild(hitArea);
	}


	override function preMoveHook() {	// fonction abstraite
		if (target.length > 0 && target[0] != null) {
			dist = target[0].bdWidth * 1.5;
			dx = target[0].centerX + dist * Math.sin(newRadian) - centerX;
			dy = target[0].centerY + dist * Math.cos(newRadian) - centerY;
			newRadian += speed;
			radian = Math.PI * 1.5 - newRadian;
		}
		else {
			removeSelf();
		}
	}


	override function outOfScreenHook() {}
}

