

class ScenarioFeedEntry {
	public var timeLine : Int;	// temps en seconde
	public var type : String;	// type d'alien genere
	public var percent : Int;	// % de produire cet alien
	public var max : Float;		// nb max d'alien de ce type a l'ecran
	public var pattern : String;	// type de pattern pour l'entree des aliens en jeu
	public var signal : String;	// emis en mode "uniq" quand il ne reste plus d'item a l'ecran

	public function new(timeLine : Int, type : String, percent : Int, max : Float, ?pattern : String, ?signal : String) {
		this.timeLine = timeLine;
		this.type = type;
		this.percent = percent;
		this.max = max;
		this.pattern = (pattern != null) ? pattern : "";
		this.signal = (signal != null) ? signal : null;
	}
}

