
class WeaponDouble extends Weapon {
	override function setExtraVars() {
		name = "double";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();

                var lx : Float = ship.x + ship.bdHeight * Math.sin(-ship.rotationRad); 
                var ly : Float = ship.y + ship.bdHeight * Math.cos(ship.rotationRad); 

                var p : Projectile = ProjectileFactory.createProjectile(
			projectileType,
			lx + (ship.bdWidth/2 - 5) * Math.cos(ship.rotationRad), 
			ly + (ship.bdWidth/2 - 5) * Math.sin(ship.rotationRad), 
			ship.rotationRad, projectileSpeed);
                ret.push(p);

                var p : Projectile = ProjectileFactory.createProjectile(
			projectileType,
			lx + (ship.bdWidth/2 + 5) * Math.cos(ship.rotationRad), 
			ly + (ship.bdWidth/2 + 5) * Math.sin(ship.rotationRad), 
			ship.rotationRad, projectileSpeed);
                ret.push(p);

		return ret;
        }
}

