

class WeaponGuide12 extends Weapon {
	override function setExtraVars() {
		name = "guide6";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();
		var dx : Float;
		var dy : Float;
		var radian : Float;
		var i : Int;

		if (ship.target.length == 0 || ship.target[0] == null)
			return ret;

		dx = ship.target[0].centerX - ship.centerX;
		dy = ship.target[0].centerY - ship.centerY;
		radian = -Math.atan2(dx, dy);

		for (i in 0...12) {
                	var p : Projectile = ProjectileFactory.createProjectile(projectileType, ship.centerX, ship.centerY, radian + Math.PI * i/6, projectileSpeed);
	                ret.push(p);
		}

		return ret;
        }
}

