

class WeaponUniq extends Weapon {
	override function setExtraVars() {
		name = "uniq";
	}

	override public function fireOn() : Array<FlyingObject> {
		var ret : Array<FlyingObject> = new Array();

                var lx : Float = ship.centerX + ship.bdHeight * 0.5 * Math.sin(-ship.rotationRad);
                var ly : Float = ship.centerY + ship.bdHeight * 0.5 * Math.cos(ship.rotationRad);
                var p : Projectile = ProjectileFactory.createProjectile(projectileType, lx, ly, ship.rotationRad, projectileSpeed);
                ret.push(p);

		return ret;
        }
}

